python-moneyed_0.6.0-1_all.deb


Advertisement

Description

python-moneyed - Currency and Money classes for use in Python 2 code

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-moneyed
Package version 0.6.0
Package release 1
Package architecture all
Package type deb
Installed size 70 B
Download size 14.64 KB
Official Mirror archive.ubuntu.com
The need to represent instances of money frequently arises in software
development, particularly any financial/economics software. To address that
need, this package provides the classes of Money and Currency, at a level more
useful than just using Python's Decimal class, or even the float primitive.
The package is meant to be stand-alone and easy to either use directly, or
subclass further.
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-moneyed_0.6.0-1_all.deb 0.6.0 all Ubuntu Universe
python-moneyed - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-moneyed_0.6.0-1_all.deb
Source Package py-moneyed

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-moneyed deb package:
    # sudo apt-get install python-moneyed

Files

Path
/usr/lib/python2.7/dist-packages/moneyed/__init__.py
/usr/lib/python2.7/dist-packages/moneyed/classes.py
/usr/lib/python2.7/dist-packages/moneyed/localization.py
/usr/lib/python2.7/dist-packages/moneyed/test_moneyed_classes.py
/usr/lib/python2.7/dist-packages/py_moneyed-0.6.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/py_moneyed-0.6.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/py_moneyed-0.6.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/py_moneyed-0.6.0.egg-info/top_level.txt
/usr/share/doc/python-moneyed/changelog.Debian.gz
/usr/share/doc/python-moneyed/copyright

Changelog

2016-12-23 - Benjamin Drung <benjamin.drung@profitbricks.com>
py-moneyed (0.6.0-1) unstable; urgency=medium
* New upstream release.
* Update debian/watch to use pypi.debian.net
* Bump Standards-Version to 3.9.8 (no changes needed)
* Update Vcs URLs to use https
2014-12-23 - Benjamin Drung <benjamin.drung@profitbricks.com>
py-moneyed (0.5.0-1) unstable; urgency=medium
* Initial version. (Closes: #773780)

See Also

Package Description
python-mongoengine-doc_0.10.6-1_all.deb Python Document-Object Mapper for working with MongoDB (documentation)
python-mongoengine_0.10.6-1_all.deb Python Document-Object Mapper for working with MongoDB
python-montage-wrapper_0.9.9-1_all.deb Python-2 wrapper for the Montage mosaicking toolkit
python-more-itertools_3.2.0-2_all.deb More routines for operating on iterables, beyond itertools. (Python 2)
python-morris-doc_1.2-1_all.deb documentation for the Python morris module
python-morris_1.2-1_all.deb announcement (signal/event) system for Python 2
python-motor_1.1-2_all.deb full-featured, non-blocking MongoDB driver - Python 2.x
python-move-base-msgs_1.13.0-5_all.deb Python code for move-base-related ROS Messages,
python-mox3_0.20.0-0ubuntu1_all.deb Mock object framework - Python 2.7
python-mox_0.5.3-4_all.deb mock object framework for Python
python-mpd-doc_0.5.5-2_all.deb Python MPD client library (documentation)
python-mpd_0.5.5-2_all.deb Python MPD client library
python-mpdclient_0.11.1-5_all.deb Python interface to MPD
python-mpegdash_0.1.5-1_all.deb Python MPEG-DASH parser - Python 2.x
python-mpi4py-doc_2.0.0-2.1build2_all.deb bindings of the MPI standard -- documentation
Advertisement
Advertisement